Package org.apache.sysds.runtime.matrix.data

## Class LibMatrixSketch

- java.lang.Object
- - org.apache.sysds.runtime.matrix.data.LibMatrixSketch

    public class LibMatrixSketch
    extends Object

### Constructor Summary

Constructors
`LibMatrixSketch()`

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `getUniqueValues​(MatrixBlock blkIn, Types.Direction dir)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LibMatrixSketch

    public LibMatrixSketch()

### Method Detail

#### getUniqueValues

    public static MatrixBlock getUniqueValues​(MatrixBlock blkIn,
                                              Types.Direction dir)